Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class InvoiceRowsFIFO
    Inherits BaseObject
    Private _InvoiceRows As InvoiceRows 'Melyik számla sorhoz tartozik
    Private _StorageInRows As StorageInRows 'Melyik bevételi ábhoz tartozik
    Private _QTT As Double
    Private _NettoPriceHUF As Double 'FIFO szerinti beszerzési érték !!! Ezt kell osztani a QTT-vel, így kapod meg az egységnyit !!!
    Private _NettoPriceDEV As Double

    Private _NettoPriceAverageHUF As Double 'Átlagár szerinti beszerzési érték !!! Ezt kell osztani a QTT-vel, így kapod meg az egységnyit !!!
    Private _NettoPriceAverageDEV As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    Property InvoiceRows As InvoiceRows
        Get
            Return _InvoiceRows
        End Get
        Set(value As InvoiceRows)
            SetPropertyValue("InvoiceRows", _InvoiceRows, value)
        End Set
    End Property
    Property StorageInRows As StorageInRows
        Get
            Return _StorageInRows
        End Get
        Set(value As StorageInRows)
            SetPropertyValue("StorageInRows", _StorageInRows, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property NettoPriceHUF As Double
        Get
            Return _NettoPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceHUF", _NettoPriceHUF, value)
        End Set
    End Property
    Property NettoPriceDEV As Double
        Get
            Return _NettoPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceDEV", _NettoPriceDEV, value)
        End Set
    End Property

    Property NettoPriceAverageHUF As Double
        Get
            Return _NettoPriceAverageHUF
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceAverageHUF", _NettoPriceAverageHUF, value)
        End Set
    End Property
    Property NettoPriceAverageDEV As Double
        Get
            Return _NettoPriceAverageDEV
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceAverageDEV", _NettoPriceAverageDEV, value)
        End Set
    End Property
End Class
